From fb829c60a028067b940aaf268362017a73d40e84 Mon Sep 17 00:00:00 2001
From: tastytea <tastytea@tastytea.de>
Date: Tue, 29 Mar 2022 22:28:13 +0200
Subject: [PATCH] Skip some tests

Reasons:
  - Needs to be in a git repo
  - Needs special test dependencies
  - Needs dart-sass-embedded
---
 hugolib/page_test.go                                          | 1 +
 modules/client_test.go                                        | 4 ++++
 releaser/git_test.go                                          | 3 +++
 .../resource_transformers/tocss/dartsass/integration_test.go  | 1 +
 .../resource_transformers/tocss/scss/integration_test.go      | 1 +
 5 files changed, 10 insertions(+)

diff --git a/hugolib/page_test.go b/hugolib/page_test.go
index d29a4f8..7cdff73 100644
--- a/hugolib/page_test.go
+++ b/hugolib/page_test.go
@@ -1025,6 +1025,7 @@ func TestPageWithDate(t *testing.T) {
 }
 
 func TestPageWithLastmodFromGitInfo(t *testing.T) {
+	t.Skip("We are not in a git repo")
 	if htesting.IsCI() {
 		// TODO(bep) figure out why this fails on GitHub actions.
 		t.Skip("Skip GitInfo test on CI")
diff --git a/modules/client_test.go b/modules/client_test.go
index 75e3c2b..235d6ed 100644
--- a/modules/client_test.go
+++ b/modules/client_test.go
@@ -68,6 +68,7 @@ github.com/gohugoio/hugoTestModules1_darwin/modh2_2@v1.4.0 github.com/gohugoio/h
 	}
 
 	c.Run("All", func(c *qt.C) {
+		c.Skip("Test dependencies not available")
 		client, clean := newClient(c, func(cfg *ClientConfig) {
 			cfg.ModuleConfig = DefaultModuleConfig
 		}, defaultImport)
@@ -107,6 +108,7 @@ project github.com/gohugoio/hugoTestModules1_darwin/modh2_2_2@v1.3.0+vendor
 	})
 
 	c.Run("IgnoreVendor", func(c *qt.C) {
+		c.Skip("Test dependencies not available")
 		client, clean := newClient(
 			c, func(cfg *ClientConfig) {
 				cfg.ModuleConfig = DefaultModuleConfig
@@ -125,6 +127,7 @@ project github.com/gohugoio/hugoTestModules1_darwin/modh2_2_2@v1.3.0+vendor
 	})
 
 	c.Run("NoVendor", func(c *qt.C) {
+		c.Skip("Test dependencies not available")
 		mcfg := DefaultModuleConfig
 		mcfg.NoVendor = "**"
 		client, clean := newClient(
@@ -144,6 +147,7 @@ project github.com/gohugoio/hugoTestModules1_darwin/modh2_2_2@v1.3.0+vendor
 	})
 
 	c.Run("VendorClosest", func(c *qt.C) {
+		c.Skip("Test dependencies not available")
 		mcfg := DefaultModuleConfig
 		mcfg.VendorClosest = true
 
diff --git a/releaser/git_test.go b/releaser/git_test.go
index ff77eb8..1f40a6f 100644
--- a/releaser/git_test.go
+++ b/releaser/git_test.go
@@ -20,6 +20,7 @@ import (
 )
 
 func TestGitInfos(t *testing.T) {
+	t.Skip("We are not in a git repo")
 	c := qt.New(t)
 	skipIfCI(t)
 	infos, err := getGitInfos("v0.20", "hugo", "", false)
@@ -58,6 +59,7 @@ Streets #20.
 }
 
 func TestGitVersionTagBefore(t *testing.T) {
+	t.Skip("We are not in a git repo")
 	skipIfCI(t)
 	c := qt.New(t)
 	v1, err := gitVersionTagBefore("v0.18")
@@ -66,6 +68,7 @@ func TestGitVersionTagBefore(t *testing.T) {
 }
 
 func TestTagExists(t *testing.T) {
+	t.Skip("We are not in a git repo")
 	skipIfCI(t)
 	c := qt.New(t)
 	b1, err := tagExists("v0.18")
diff --git a/resources/resource_transformers/tocss/dartsass/integration_test.go b/resources/resource_transformers/tocss/dartsass/integration_test.go
index a1ac1d5..fcd8bf5 100644
--- a/resources/resource_transformers/tocss/dartsass/integration_test.go
+++ b/resources/resource_transformers/tocss/dartsass/integration_test.go
@@ -106,6 +106,7 @@ T1: {{ $r.Content | safeHTML }}
 }
 
 func TestTransformThemeOverrides(t *testing.T) {
+	t.Skip("Needs dart-sass-embedded")
 	if !dartsass.Supports() {
 		t.Skip()
 	}
diff --git a/resources/resource_transformers/tocss/scss/integration_test.go b/resources/resource_transformers/tocss/scss/integration_test.go
index cbc7e19..f2a6034 100644
--- a/resources/resource_transformers/tocss/scss/integration_test.go
+++ b/resources/resource_transformers/tocss/scss/integration_test.go
@@ -111,6 +111,7 @@ moo {
 }
 
 func TestTransformThemeOverrides(t *testing.T) {
+	t.Skip("Needs dart-sass-embedded")
 	if !scss.Supports() {
 		t.Skip()
 	}
-- 
2.35.1

